#include <BalloonTypes.r>
#include <Types.r>
#include "interface.h"

resource 'hmnu' (MENU_APPLE, purgeable) {
	HelpMgrVersion;
	hmDefaultOptions;
	0;
	0;
	HMSkipItem {
	}
	{
		HMSkipItem {
		}
		HMStringItem {
			"Displays information about the version of the Quotes application.";
			"";
			"";
			"";
		}
	}
};

resource 'hmnu' (MENU_FILE, purgeable) {
	HelpMgrVersion;
	hmDefaultOptions;
	0;
	0;
	HMSkipItem {
	}
	{
		HMStringItem {
			"File menu\n\nUse this menu to open, close and save documents, or to quit the Quotes application.";
			"";
			"This menu is not available because it cannot be used with the dialog box on your screen.";
			"This item is not available because it cannot be used with the dialog box on your screen.";
		}
		HMStringItem {
			"Opens the document you specify, selecting a quote at random.";
			"";
			"";
			"";
		}
		HMStringItem {
			"Closes the active window.";
			"Closes the active window. Not available because no window is open.";
			"";
			"";
		}
		HMSkipItem {
		}
		HMStringItem {
			"Saves the changes you have made to the active document.";
			"Saves the changes you have made to the active document. Not available because you have not made any changes or no document is open.";
			"";
			"";
		}
		HMStringItem {
			"Creates a copy of the active document with the name and location you specify.";
			"Creates a copy of the active document with the name and location you specify. Not available because no document is open.";
			"";
			"";
		}
		HMSkipItem {
		}
		HMStringItem {
			"Quits the Quotes application.";
			"";
			"";
			"";
		}
	}
};

resource 'hmnu' (MENU_EDIT, purgeable) {
	HelpMgrVersion;
	hmDefaultOptions;
	0;
	0;
	HMSkipItem {
	}
	{
		HMStringItem {
			"Edit menu\n\nUse this menu to cancel your last action, or to copy the current quote to the Clipboard.";
			"Edit menu\n\nUse this menu to cancel your last action, or to copy the current quote to the Clipboard. Not available because no window is open.";
			"This menu is not available because it cannot be used with the dialog box on your screen.";
			"This item is not available because it cannot be used with the dialog box on your screen.";
		}
		HMStringItem {
			"Cancels your last action.";
			"Cancels your last action. Not available because your last action cannot be canceled.";
			"";
			"";
		}
		HMSkipItem {
		}
		HMSkipItem {
		}
		HMStringItem {
			"Copies the text of the current quote and places it on the Clipboard.\n\nTip: Copies the author's address when the About Quotes window is active.";
			"Copies the text of the current quote and places it on the Clipboard. Not available because there is open document.";
			"";
			"";
		}
		HMSkipItem {
		}
		HMSkipItem {
		}
		HMSkipItem {
		}
	}
};

resource 'hmnu' (MENU_QUOTES, purgeable) {
	HelpMgrVersion;
	hmDefaultOptions;
	0;
	0;
	HMSkipItem {
	}
	{
		HMStringItem {
			"Quotes menu\n\nUse this menu to select a quote from the active document.";
			"Quotes menu\n\nUse this menu to select a quote from the active document. Not available because no document is open.";
			"This menu is not available because it cannot be used with the dialog box on your screen.";
			"This item is not available because it cannot be used with the dialog box on your screen.";
		}
		HMStringItem {
			"Shows the first quote of the active document.";
			"Shows the first quote of the active document. Not available because the first quote is already displayed or no document is open.";
			"";
			"";
		}
		HMStringItem {
			"Shows the quote preceeding the current quote.";
			"Shows the quote preceeding the current quote. Not available because the first quote is already displayed or no document is open.";
			"";
			"";
		}
		HMStringItem {
			"Shows the quote following the current quote.";
			"Shows the quote following the current quote. Not available because the last quote is already displayed or no document is open.";
			"";
			"";
		}
		HMStringItem {
			"Shows the last quote of the active document.";
			"Shows the last quote of the active document. Not available because the last quote is already displayed or no document is open.";
			"";
			"";
		}
		HMSkipItem {
		}
		HMStringItem {
			"Shows an arbitrary quote from the active document.";
			"Shows an arbitrary quote from the active document. Not available because no document is open.";
			"";
			"";
		}
		HMStringItem {
			"Shows the quote you specify from the active document.";
			"Shows the quote you specify from the active document. Not available because this feature has not been written.";
			"";
			"";
		}
	}
};

resource 'hmnu' (MENU_SPEECH, purgeable) {
	HelpMgrVersion;
	hmDefaultOptions;
	0;
	0;
	HMSkipItem {
	}
	{
		HMStringItem {
			"Speech menu\n\nUse this menu to hear the current quote spoken, or to change the voice of the active document or to change the default voice when no document is open.";
			"Speech menu\n\nUse this menu to hear the current quote spoken, or to change the voice of the active document or to change the default voice when no document is open. Not available because speech software has not been installed.";
			"This menu is not available because it cannot be used with the dialog box on your screen.";
			"This item is not available because it cannot be used with the dialog box on your screen.";
		}
		HMStringItem {
			"Speaks all the text in the document aloud, using the currently checked voice from the Voices submenu, below.";
			"Speaks all the text in the document aloud, using the currently checked voice from the Voices submenu, below. Not available because the computer is speaking or no document is open.";
			"";
			"";
		}
		HMStringItem {
			"Quiets any speaking you here right now.";
			"Quiets any speaking you started. Not available because there is nothing being spoken at the moment.";
			"";
			"";
		}
	}
};

resource 'hmnu' (MENU_FONT, purgeable) {
	HelpMgrVersion;
	hmDefaultOptions;
	0;
	0;
	HMStringItem {
		"To use this font in the active document or to change the default font when no document is open, choose it from this menu.";
		"To use this font in the active document or to change the default font when no document is open, choose it from this menu. Not available because the active document is not a text document.";
		"This is the currently selected font. To change to another font, choose one from this menu.";
		"This is the default font. To change to another font, choose one from this menu.";
	}
	{
		HMStringItem {
			"Font menu\n\nUse this menu to change the font used for text in a document or to change the default font when no document is open.";
			"Font menu\n\nUse this menu to change the font used for text in a document or to change the default font when no document is open. Not available because the active document is not a text document.";
			"This menu is not available because it cannot be used with the dialog box on your screen.";
			"This item is not available because it cannot be used with the dialog box on your screen.";
		}
	}
};

resource 'hmnu' (MENU_SIZE, purgeable) {
	HelpMgrVersion;
	hmDefaultOptions;
	0;
	0;
	HMStringItem {
		"To use this font size in the active document or to change the default font size when no document is open, choose it from this menu.";
		"To use this font size in the active document or to change the default font size when no document is open, choose it from this menu. Not available because the active document is not a text document.";
		"This is the currently selected font size. To change to another size, choose one from this menu.";
		"This is the default font size. To change to another size, choose one from this menu.";
	}
	{
		HMStringItem {
			"Size menu\n\nUse this menu to change the font size used for text in a document or to change the default font size when no document is open.";
			"Size menu\n\nUse this menu to change the font size used for text in a document or to change the default font size when no document is open. Not available because the active document is not a text document.";
			"This menu is not available because it cannot be used with the dialog box on your screen.";
			"This item is not available because it cannot be used with the dialog box on your screen.";
		}
	}
};

resource 'hmnu' (MENU_VOICES, purgeable) {
	HelpMgrVersion;
	hmDefaultOptions;
	0;
	0;
	HMStringItem {
		"One of the possible voices to speak with. Choose this item to speak with this voice next time you speak.";
		"One of the possible voices to speak with. Choose this item to speak with this voice next time you speak. Not available because the computer is speaking.";
		"The voice that will be used to speak with next time you speak.";
		"";
	}
	{
	}
};

resource 'hmnu' (MENU_WINDOW_7, purgeable) {
	HelpMgrVersion;
	hmDefaultOptions;
	0;
	0;
	HMStringItem {
		"Brings this window to the front.";
		"";
		"This is the active window.";
		"";
	}
	{
		HMStringItem {
			"Windows menu\n\nUse this menu to bring various windows to the front, even if they're obscured by other windows. ";
			"Windows menu\n\nUse this menu to bring various windows to the front, even if they're obscured by other windows. Not available because no windows are open.";
			"This menu is not available because it cannot be used with the dialog box on your screen.";
			"This item is not available because it cannot be used with the dialog box on your screen.";
		}
	}
};

resource 'hmnu' (kHMHelpMenuID, purgeable) {
	HelpMgrVersion;
	hmDefaultOptions;
	0;
	0;
	HMSkipItem {
	}
	{
		HMStringItem {
			"Displays information about using the Quotes application.";
			"Displays information about using the Quotes application. Not available because it cannot be used with the dialog box on your screen.";
			"";
			"";
		}
	}
};

resource 'STR#' (BALLOON_STRINGS) {
	{
		"Size box\n\nTo change the height and width of the window, drag the size box.";
	}
};
